Subject: Re: bug#17489: 24.3; Major mode spec in .dir-locals.el breaks dired

From: Eli Zaretskii <[email-masked]>
Date: Wed, 14 May 2014 22:38:02 +0300

> From: Glenn Morris <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Wed, 14 May 2014 15:01:21 -0400
> 
> Well, it really doesn't make sense AFAICS, but ok then, you don't want
> the special-case solution of simply ignoring a `mode' dir-locals in
> non-file buffers.

It's not that I don't want that.  I actually am quite indifferent to
this, because I think dir-locals, in its current design, is too
restrictive, and therefore I'm simply not interested.

I just think that adding these implied conditions is a slippery slope,
because different people want to do different things with dir-locals.

> So then we are back to http://debbugs.gnu.org/13685, which would let
> people choose.

That looks better, since it at least makes the user's desire
explicit.  Why not implement it?